# Uses of Class
java.io.BufferedWriter

Packages that use BufferedWriter
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of BufferedWriter in java.nio.file

Methods in java.nio.file that return BufferedWriter
Modifier and Type
Method
Description
`static BufferedWriter`
Files.`newBufferedWriter​(Path path, Charset cs, OpenOption... options)`
Opens or creates a file for writing, returning a `BufferedWriter` that may be used to write text to the file in an efficient manner.
`static BufferedWriter`
Files.`newBufferedWriter​(Path path, OpenOption... options)`
Opens or creates a file for writing, returning a `BufferedWriter` to write text to the file in an efficient manner.